#
# spec file for package system-role-hpc-compute
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-hpc-compute repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name hpc-compute
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-hpc-compute
AutoReqProv:    off
Version:        15.5.0
Release:        150500.1.1
Summary:        Server HPC role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       installer_module_extension() = system-role-hpc-compute
#Should work with this, but does not
Provides:       extension_for_product() = SLE_HPC

%description
Meta package for Server HPC role definition. This is the compute node
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 15.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Mon Jan 14 2019 cgoll@suse.com
- Removed local user (FATE#326447)
- 15.1.2
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Wed Nov  7 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Wed Jun 13 2018 cgoll@suse.com
- Add missing aarch64 grub2 efi subvolume (bsc#1097235)
- 15.0.14
* Wed May 30 2018 jsrain@suse.cz
- rename SLES_HPC -> SLE_HPC (bsc#1095053)
- 15.0.13
* Wed May  9 2018 cgoll@suse.com
- added option disable_order to root-fs in order to fit on small
  disks (bsc#1091123)
* Fri Apr 20 2018 cgoll@suse.com
- changed required pattern from minimal_base to base (bsc#1090282)
- added subvolume description to installation.xml to make btrfs
  available on guided partitioner (bsc#1090380)
* Thu Apr 12 2018 cgoll@suse.com
- Setting minimalistic_libzypp_config to false (bsc#1088275)
- Synced descriptions with FATE#323494 (bsc#1089392)
* Wed Apr  4 2018 cgoll@suse.com
- added yast2_basis pattern to installation roles (bsc#1087944)
* Fri Mar 16 2018 eich@suse.com
- Fixing pattern names - replacing '-' by '_' (bsc#1085254).
* Wed Mar 14 2018 cgoll@suse.com
- updated to new patterns (bsc#1085254)
* Tue Mar  6 2018 cgoll@suse.com
- checked patterns more extensively
* Tue Feb 27 2018 cgoll@suse.com
- using the right patterns names
* Tue Feb 27 2018 cgoll@suse.com
- added check section to build process
* Fri Feb 23 2018 eich@suse.com
- Initial commit: System role for an HPC Compute Node (FATE#323494).
